Cómo saber si tu ordenador Linux es vulnerable a Meltdown y Spectre

Meltdown Spectre

Muchos de vosotros ya estaréis al corriente del grave problema que suponen los bugs Meltdown y Spectre, los cuales están presentes en la inmensa mayoría de los procesadores actuales. Una de las formas en las que Spectre puede infectar a los dispositivos vulnerables es realizando un ataque JavaScript desde tu navegador, de forma similar a un ataque Man in the Middle. Por esta razón, las principales compañías desarrolladoras de software están lanzando actualizaciones para parchear esta vulnerabilidad a toda prisa.

meltdown

Las grandes compañías (entre ellas MicrosoftGoogle o Apple) han anunciado ya nuevas actualizaciones de seguridad para proteger los navegadores de sus usuarios de un ataque a través de la vulnerabilidad Spectre, aunque unos están siendo más rápidos que otros en el desarrollo de estos parches. No obstante, sigue siendo conveniente que todos averigüemos si nuestro ordenador es vulnerable a Meltdown. Por eso, si eres dueño de un ordenador Linux, te explicamos cómo comprobarlo.

¿Es mi ordenador Linux vulnerable a Meltdown y Spectre?

Gracias a la desarrolladora Stéphane Lesimple, tenemos a mano una herramienta muy útil que nos informará de si la vulnerabilidad está presente en nuestro ordenador Linux. Todo lo que tenéis que hacer es descargar la herramienta actualizada desde aquí y seguir nuestras instrucciones. Una vez descargada, tenéis que extraer el archivo y abrir un terminal, en el que navegarás hasta la localización del archivo extraído. Allí, introduce el siguiente comando:

sh ./spectre-meltdown-checker.sh

Este comando te indicará si tu ordenador está protegido contra ambas variantes de Spectre. En caso de que no lo esté, asegúrate de actualizar tu sistema operativo y de instalar el firmware de microcódigo para tu CPU Intel o AMD. A día de hoy, Meltdown debería estar arreglado en casi todos los ordenadores del mundo, pero Spectre es más difícil de atajar. ¡Tened cuidado!